import { createTheme, loadTheme as baseLoadTheme } from '@uifabric/styling';
import { registerCSSVars } from './registerCSSVars';
export function loadTheme(theme) {
    var _theme = createTheme(theme);
    var palette = _theme.palette, semanticColors = _theme.semanticColors;
    // generate new css vars
    palette = registerCSSVars('palette', palette);
    semanticColors = registerCSSVars('semanticColors', semanticColors);
    // update theme
    baseLoadTheme({
        palette: palette,
        semanticColors: semanticColors,
    });
    return _theme;
}
//# sourceMappingURL=loadTheme.js.map